Page MenuHomePhabricator

[libc++][format] Implements 128-bit support.
ClosedPublic

Authored by Mordante on Jul 1 2022, 10:38 AM.

Details

Reviewers
ldionne
Group Reviewers
Restricted Project
Commits
rG0857a02ef07c: [libc++][format] Implements 128-bit support.
Summary

With to_chars supporting 128-bit it's possible to support the full
128-bit range in format. This only removes the previous restrictions
and updates the tests to validate proper support.

Depends on D128929.

Diff Detail

Event Timeline

Mordante created this revision.Jul 1 2022, 10:38 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 1 2022, 10:38 AM
Mordante requested review of this revision.Jul 1 2022, 10:38 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 1 2022, 10:38 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne accepted this revision.Jul 6 2022, 9:25 AM
ldionne added a subscriber: ldionne.
ldionne added inline comments.
libcxx/test/std/utilities/format/format.formatter/format.formatter.spec/formatter.signed_integral.pass.cpp
92–99

This applies elsewhere in this patch too.

This revision is now accepted and ready to land.Jul 6 2022, 9:25 AM
This revision was automatically updated to reflect the committed changes.
Mordante marked an inline comment as done.Jul 7 2022, 9:08 AM